## boomaga 0.6.2

=== CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(boomaga)

set(MAJOR_VERSION 0)
set(MINOR_VERSION 6)
set(PATCH_VERSION 2)
set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")
add_definitions(-DMINOR_VERSION=\"${MINOR_VERSION}\")
add_definitions(-DPATCH_VERSION=\"${PATCH_VERSION}\")
add_definitions(-DFULL_VERSION=\"${FULL_VERSION}\")

find_program(CUPS_CONFIG_EXECUTABLE NAMES cups-config)
if(CUPS_CONFIG_EXECUTABLE)
    exec_program(${CUPS_CONFIG_EXECUTABLE} ARGS --serverbin OUTPUT_VARIABLE CUPS_SERVERBIN)
    set(DEF_CUPS_BACKEND_DIR "${CUPS_SERVERBIN}/backend")
    set(DEF_CUPS_FILTER_DIR  "${CUPS_SERVERBIN}/filter")
else(CUPS_CONFIG_EXECUTABLE)
    message(FATAL_ERROR "Can't find cups-config. Are CUPS development packages installed?")
endif(CUPS_CONFIG_EXECUTABLE)

# Linux ***************************************
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

  set(DEF_CUPS_PPD_DIR /usr/share/ppd/boomaga)
  set(DEF_DBUS_MACINE_ID_DIR /var/lib/dbus)
  set(DEF_DBUS_SERVICE_DIR ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

# FreeBSD *************************************
elseif(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")

  set(DEF_CUPS_PPD_DIR /usr/local/share/cups/model)
  set(DEF_DBUS_MACINE_ID_DIR /var/db/dbus)
  set(DEF_DBUS_SERVICE_DIR ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

endif()

macro(setByDefault VAR_NAME VAR_VALUE)
  if (NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
    add_definitions(-D${VAR_NAME}=\"${VAR_VALUE}\")
  endif()
endmacro()

macro(setFirstUpper VAR_NAME VAR_VALUE)
  string(SUBSTRING ${VAR_VALUE} 0 1 FIRST_LETTER)
  string(TOUPPER ${FIRST_LETTER} FIRST_LETTER)
  string(REGEX REPLACE "^.(.*)" "${FIRST_LETTER}\\1" ${VAR_NAME} "${VAR_VALUE}")
endmacro()

set(GUI_DIR ${CMAKE_INSTALL_PREFIX}/bin)
add_definitions(-DGUI_DIR=\"${GUI_DIR}\")

set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib/boomaga)
add_definitions(-DNONGUI_DIR=\"${NONGUI_DIR}\")

###########################################################

setByDefault(INSTANCE_NAME      "boomaga")
setFirstUpper(CUPS_BACKEND_NAME "${INSTANCE_NAME}")

setByDefault(CUPS_BACKEND_URI   "${INSTANCE_NAME}:/")
setByDefault(CUPS_BACKEND_INFO  "${CUPS_BACKEND_NAME}")
setByDefault(CUPS_BACKEND_MODEL "${CUPS_BACKEND_NAME} printer")
setByDefault(CUPS_BACKEND_DESCRIPTION  "Virtual ${INSTANCE_NAME} printer")
setByDefault(CUPS_BACKEND_MANUFACTURER "Generic")

setByDefault(GUI_PROGRAM    ${GUI_DIR}/${INSTANCE_NAME})
setByDefault(GUI_SHARE_DIR  ${CMAKE_INSTALL_PREFIX}/share/${INSTANCE_NAME})

setByDefault(CUPS_BACKEND_DIR   ${DEF_CUPS_BACKEND_DIR})
setByDefault(CUPS_FILTER_DIR    ${DEF_CUPS_FILTER_DIR})
setByDefault(CUPS_PPD_DIR       ${DEF_CUPS_PPD_DIR})
setByDefault(DBUS_MACINE_ID_DIR ${DEF_DBUS_MACINE_ID_DIR})
setByDefault(DBUS_SERVICE_DIR   ${DEF_DBUS_SERVICE_DIR})


add_subdirectory(cups)
add_subdirectory(gui)
install(FILES boomaga.1.gz  DESTINATION share/man/man1)

message(STATUS "*****************************************************")
message(STATUS "* boomaga ver. ${FULL_VERSION}")
message(STATUS "*")
message(STATUS "* You can change the following directories using cmake options like:")
message(STATUS "*   -DCUPS_PPD_DIR=your_path")
message(STATUS "*")
message(STATUS "*  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
message(STATUS "*  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
message(STATUS "*  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
message(STATUS "*  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
message(STATUS "*  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
message(STATUS "*")
message(STATUS "* You can change the following options using cmake options:")
message(STATUS "*  INSTANCE_NAME        =  ${INSTANCE_NAME}")
message(STATUS "*  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
message(STATUS "*  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
message(STATUS "*  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
message(STATUS "*  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
message(STATUS "*  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")

message(STATUS "*****************************************************")

########## Add make dist target ################
SET(CPACK_PACKAGE_VERSION "${FULL_VERSION}")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "boomaga-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES
    \\\\.git
    build
    CMakeLists.txt.user
    \\\\~
)
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== gui/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(boomagaGui)

set(HEADERS
    kernel/sheet.h
    kernel/inputfile.h
    kernel/job.h
    kernel/tmppdffile.h
    kernel/layout.h
    kernel/render.h
    kernel/project.h
    kernel/printer.h
    boomagatypes.h
    mainwindow.h
    actions.h
    settings.h
    widgets.h
    dbus.h
    icon.h
    printersettings/printersettings.h
    previewwidget.h
    aboutdialog/aboutdialog.h
    translations/translatorsinfo/translatorsinfo.h
    export/exporttopdf.h
    export/exporttopdfprinter.h
    kernel/boomagapoppler.h
    kernel/projectfile.h
    pdfmerger/pdfmergeripc.h
    configdialog/configdialog.h
)

set(SOURCES
    main.cpp
    kernel/sheet.cpp
    kernel/inputfile.cpp
    kernel/job.cpp
    kernel/tmppdffile.cpp
    kernel/layout.cpp
    kernel/render.cpp
    kernel/project.cpp
    kernel/printer.cpp
    boomagatypes.cpp
    mainwindow.cpp
    actions.cpp
    settings.cpp
    widgets.cpp
    dbus.cpp
    icon.cpp
    printersettings/printersettings.cpp
    previewwidget.cpp
    aboutdialog/aboutdialog.cpp
    translations/translatorsinfo/translatorsinfo.cpp
    export/exporttopdf.cpp
    export/exporttopdfprinter.cpp
    kernel/boomagapoppler.cpp
    kernel/projectfile.cpp
    pdfmerger/pdfmergeripc.cpp
    configdialog/configdialog.cpp
)

set (MOCS
    kernel/project.h
    kernel/tmppdffile.h
    kernel/render.h

    settings.h
    mainwindow.h
    actions.h
    widgets.h
    dbus.h
    printersettings/printersettings.h
    previewwidget.h
    aboutdialog/aboutdialog.h
    export/exporttopdf.h
    kernel/projectfile.h
    pdfmerger/pdfmergeripc.h
    configdialog/configdialog.h
)

set(LIBRARIES
)

set(QT_USE_QTDBUS 1)

set(UI_FILES
    mainwindow.ui
    printersettings/printersettings.ui
    aboutdialog/aboutdialog.ui
    export/exporttopdf.ui
    configdialog/configdialog.ui
)

# QRC files .................
set(RESOURCES
    resource.qrc
)

# add translations ...
file (GLOB TS_FILES
    translations/boomaga*.ts
)

set(TRANSLATIONS_DIR
    "${GUI_SHARE_DIR}/translations"
)
add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")


############################################
if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)
#set(CMAKE_BUILD_TYPE Debug)

if(CMAKE_COMPILER_IS_GNUCXX)
    #add_definitions (-Wall -pedantic)
endif()

#*******************************************

option(USE_QT5 "Force use the Qt5." $ENV{USE_QT5})
option(USE_QT4 "Force use the Qt4." $ENV{USE_QT4})

if((USE_QT4 AND USE_QT5) OR
   (NOT USE_QT4 AND NOT USE_QT5))
    find_package(Qt4 QUIET)
    if (QT4_FOUND)
        set(USE_QT4 ON)
        set(USE_QT5 OFF)
    else()
        set(USE_QT4 OFF)
        set(USE_QT5 ON)
    endif()
endif()

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
find_package(Cups REQUIRED QUIET)
find_package(snappy REQUIRED QUIET)
find_package(Poppler REQUIRED QUIET)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/third-party
    ${CMAKE_CURRENT_SOURCE_DIR}/third-party/libspectre
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CUPS_INCLUDE_DIR}
    ${SNAPPY_INCLUDE_DIRS}
    ${POPPLER_INCLUDE_DIRS}
    ${POPPLERCPP_INCLUDE_DIRS}
)

include(translations/translatorsinfo/CMakeLists.txt)
get_translatorsinfo_qrc(translatorsinfo_qrc)

if(USE_QT4)
    find_package(Qt4 REQUIRED QUIET)
    include(${QT_USE_FILE})
    qt4_wrap_cpp(MOC_SOURCES ${MOCS})
    qt4_add_resources(QRC_SOURCES ${RESOURCES})
    qt4_wrap_ui(UI_HEADERS ${UI_FILES})
    qt4_add_translation(QM_FILES ${TS_FILES})
    qt4_add_resources(QRC_CXX_SOURCES ${translatorsinfo_qrc})
else()
    cmake_minimum_required(VERSION 2.8.3)
    find_package(Qt5Widgets REQUIRED QUIET)
    include_directories(${Qt5Widgets_INCLUDE_DIRS})
    add_definitions(${Qt5Widgets_DEFINITIONS})
    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5Widgets_LIBRARIES})

    find_package(Qt5PrintSupport REQUIRED QUIET)
    include_directories(${Qt5PrintSupport_INCLUDE_DIRS})
    add_definitions(${Qt5PrintSupport_DEFINITIONS})
    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5PrintSupport_LIBRARIES})

    find_package(Qt5DBus REQUIRED QUIET)
    include_directories(${Qt5DBus_INCLUDE_DIRS})
    add_definitions(${Qt5DBus_DEFINITIONS})
    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5DBus_LIBRARIES})


    find_package(Qt5LinguistTools REQUIRED QUIET)


    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")


    qt5_wrap_cpp(MOC_SOURCES ${MOCS})
    qt5_add_resources(QRC_SOURCES ${RESOURCES})
    qt5_wrap_ui(UI_HEADERS ${UI_FILES})
    qt5_add_translation(QM_FILES ${TS_FILES})
    qt5_add_resources(QRC_CXX_SOURCES ${translatorsinfo_qrc})

endif()
set(LIBRARIES ${LIBRARIES} ${QT_LIBRARIES})
set(LIBRARIES ${LIBRARIES} ${CUPS_LIBRARIES})
set(LIBRARIES ${LIBRARIES} ${SNAPPY_LIBRARIES})
set(LIBRARIES ${LIBRARIES} ${POPPLER_LIBRARIES})
set(LIBRARIES ${LIBRARIES} ${POPPLERCPP_LIBRARIES})

add_executable(${INSTANCE_NAME} ${HEADERS} ${SOURCES} ${MOC_SOURCES} ${QM_FILES} ${QRC_SOURCES} ${UI_HEADERS} ${QRC_CXX_SOURCES})
target_link_libraries(${INSTANCE_NAME} ${LIBRARIES})


if(BUILD_TESTS STREQUAL "Yes")
    add_subdirectory(tests)
else()
    message(STATUS "")
    message(STATUS "For building tests use -DBUILD_TESTS=Yes option.")
    message(STATUS "")
endif()


install(TARGETS ${INSTANCE_NAME} RUNTIME DESTINATION ${GUI_DIR})
install(FILES ${QM_FILES} DESTINATION ${TRANSLATIONS_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
               ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
               @ONLY)

include(cmake/CreateDesktopFile.cmake)
CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})

install(FILES   images/boomaga_16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_128.png  DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")

add_subdirectory(pdfmerger)

=== debian/changelog ===
boomaga (0.6.2-1build1) wily; urgency=medium

  * No-change rebuild against libsnappy1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:39:20 +0000

boomaga (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #778879)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Feb 2015 23:54:40 -0300

=== debian/control ===
Source: boomaga
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dpkg-dev (>= 1.16.0~),
               libcups2-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libsnappy-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://github.com/Boomaga/boomaga

Package: boomaga
Architecture: any
Depends: cups, ${misc:Depends}, ${shlibs:Depends}
Description: virtual printer for viewing a document before printing
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 .
 The program is very simple to work with. Running any program, click "print"
 and select "Boomaga" to see in several seconds (CUPS takes some time to
 respond) the Boomaga window open.
 .
 If you print out one more document, it gets added to the previous one, and you
 can also print them out as one.
 .
 Regardless of whether your printer supports duplex printing or not, you would
 be able to easily print on both sides of the sheet.

Package: boomaga-dbg
Architecture: any
Priority: extra
Section: debug
Depends: boomaga (= ${binary:Version}), ${misc:Depends}
Suggests: cups-dbg, poppler-dbg, qtbase5-dbg
Description: boomaga debugging symbols
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 .
 This package provides the debugging symbols for boomaga.

## boomaga 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,8 @@
 project(boomaga)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 6)
-set(PATCH_VERSION 2)
+set(MINOR_VERSION 7)
+set(PATCH_VERSION 1)
 set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")

=== cups/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(boomagaCups)

set(CUPS_BACKEND_ID "MFG:${CUPS_BACKEND_MANUFACTURER};CMD:PJL,PDF;MDL:${CUPS_BACKEND_MODEL};CLS:PRINTER;DES:${CUPS_BACKEND_DESCRIPTION};DRV:DPDF,R1,M0;")
add_definitions(-DCUPS_BACKEND_ID=\"${CUPS_BACKEND_ID}\")


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomaga
               ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}
               @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomaga.ppd
               ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}.ppd
               @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomagabackend
               ${CMAKE_CURRENT_BINARY_DIR}/boomagabackend
               @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}
  DESTINATION ${CUPS_BACKEND_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
)

install(FILES boomaga_pstopdf
  DESTINATION ${CUPS_FILTER_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ             GROUP_EXECUTE
    WORLD_READ             WORLD_EXECUTE
)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}.ppd
  DESTINATION ${CUPS_PPD_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE
    GROUP_READ
    WORLD_READ
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/boomagabackend
  DESTINATION ${NONGUI_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ             GROUP_EXECUTE
    WORLD_READ             WORLD_EXECUTE
)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
     kernel/projectfile.h
     pdfmerger/pdfmergeripc.h
     configdialog/configdialog.h
+    printdialog/printdialog.h
 )
 
 set(SOURCES
@@ -83,6 +84,7 @@
     kernel/projectfile.cpp
     pdfmerger/pdfmergeripc.cpp
     configdialog/configdialog.cpp
+    printdialog/printdialog.cpp
 )
 
 set (MOCS
@@ -102,6 +104,7 @@
     kernel/projectfile.h
     pdfmerger/pdfmergeripc.h
     configdialog/configdialog.h
+    printdialog/printdialog.h
 )
 
 set(LIBRARIES
@@ -115,6 +118,7 @@
     aboutdialog/aboutdialog.ui
     export/exporttopdf.ui
     configdialog/configdialog.ui
+    printdialog/printdialog.ui
 )
 
 # QRC files .................
@@ -140,7 +144,7 @@
 #set(CMAKE_BUILD_TYPE Debug)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
-    #add_definitions (-Wall -pedantic)
+    add_definitions (-Wall -pedantic)
 endif()
 
 #*******************************************
@@ -258,3 +262,9 @@
 install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
 
 add_subdirectory(pdfmerger)
+
+if(USE_QT4)
+    message(STATUS "Use Qt4, for building with Qt5 use -DUSE_QT5=Yes option.")
+else()
+    message(STATUS "Use Qt5, for building with Qt4 use -DUSE_QT4=Yes option.")
+endif()

=== gui/pdfmerger/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(boomagamerger)

set(MERGER_HEADERS
    pdfmerger.h
    pdfmergeripc.h
    ../kernel/boomagapoppler.h
)

set(MERGER_SOURCES
    main.cpp
    pdfmerger.cpp
    pdfmergeripc.cpp
    ../kernel/boomagapoppler.cpp
)

set(MERGER_MOCS
    pdfmergeripc.h
)



#*******************************************
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_BINARY_DIR}/..")
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CUPS_INCLUDE_DIR}
    ${POPPLER_INCLUDE_DIRS}
)

if(USE_QT4)
    qt4_wrap_cpp(MERGER_MOC_SOURCES ${MERGER_MOCS})
else()
    qt5_wrap_cpp(MERGER_MOC_SOURCES ${MERGER_MOCS})
endif()


add_executable(${PROJECT_NAME} ${MERGER_HEADERS} ${MERGER_SOURCES} ${MERGER_MOC_SOURCES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${POPPLER_LIBRARIES})

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION lib/boomaga/)

=== gui/tests/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2014 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER
 
 
 project(boomaga_test)
cmake_minimum_required( VERSION 2.6 )


set(TEST_HEADERS
    testboomaga.h
)

set(TEST_SOURCES
    testboomaga.cpp
)

set(TEST_MOCS
    testboomaga.h
)


macro(ADD_FROM_PROJECT OUT_FILES)
    set (IN_FILES ${ARGN})
    foreach(FILE ${IN_FILES})
        if(NOT FILE STREQUAL "main.cpp")
            set(${OUT_FILES} ${${OUT_FILES}} "../${FILE}")
        endif()
    endforeach()
endmacro()



ADD_FROM_PROJECT(TEST_HEADERS ${HEADERS})
ADD_FROM_PROJECT(TEST_SOURCES ${SOURCES})
ADD_FROM_PROJECT(TEST_MOCS    ${MOCS})


add_definitions(-DTEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\")

set(TEST_OUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/output/")
file(MAKE_DIRECTORY ${TEST_OUT_DIR})
add_definitions(-DTEST_OUT_DIR=\"${TEST_OUT_DIR}\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(USE_QT4)
    set(QT_USE_QTTEST true)
    find_package(Qt4 REQUIRED QUIET)
    include(${QT_USE_FILE})
    qt4_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
else()
    cmake_minimum_required(VERSION 2.8.3)

    find_package(Qt5Test REQUIRED)
    include_directories(${Qt5Test_INCLUDE_DIRS})
    add_definitions(${Qt5Test_DEFINITIONS})
    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5Test_LIBRARIES})

    qt5_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
endif()


add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES} ${TEST_MOC_SOURCES} )
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${LIBRARIES})

=== debian/changelog ===
boomaga (0.7.1-1build3) xenial; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 07 Mar 2016 16:16:40 +0000

boomaga (0.7.1-1build2) xenial; urgency=medium

  * No change rebuild with new poppler soname

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Nov 2015 11:35:32 +1300

boomaga (0.7.1-1build1) xenial; urgency=medium

  * No change rebuild with new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Oct 2015 09:58:12 +0100

boomaga (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Simplify the installation of translation files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Sep 2015 09:14:47 -0300

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := qt5

%:
	dh $@ --parallel --dbg-package=boomaga-dbg

override_dh_install:
	dh_install --fail-missing

## boomaga 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,15 +28,23 @@
 
 project(boomaga)
 
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 7)
-set(PATCH_VERSION 1)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 0)
+set(PATCH_VERSION 0)
 set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")
 add_definitions(-DMINOR_VERSION=\"${MINOR_VERSION}\")
 add_definitions(-DPATCH_VERSION=\"${PATCH_VERSION}\")
 add_definitions(-DFULL_VERSION=\"${FULL_VERSION}\")
+
+set (CMAKE_CXX_STANDARD 11)
+
+include("cmake/tools.cmake")
+status_message("boomaga ver. ${FULL_VERSION}")
+status_message(" ")
+
+
 
 find_program(CUPS_CONFIG_EXECUTABLE NAMES cups-config)
 if(CUPS_CONFIG_EXECUTABLE)
@@ -63,23 +71,10 @@
 
 endif()
 
-macro(setByDefault VAR_NAME VAR_VALUE)
-  if (NOT DEFINED ${VAR_NAME})
-    set (${VAR_NAME} ${VAR_VALUE})
-    add_definitions(-D${VAR_NAME}=\"${VAR_VALUE}\")
-  endif()
-endmacro()
-
-macro(setFirstUpper VAR_NAME VAR_VALUE)
-  string(SUBSTRING ${VAR_VALUE} 0 1 FIRST_LETTER)
-  string(TOUPPER ${FIRST_LETTER} FIRST_LETTER)
-  string(REGEX REPLACE "^.(.*)" "${FIRST_LETTER}\\1" ${VAR_NAME} "${VAR_VALUE}")
-endmacro()
-
 set(GUI_DIR ${CMAKE_INSTALL_PREFIX}/bin)
 add_definitions(-DGUI_DIR=\"${GUI_DIR}\")
 
-set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib/boomaga)
+set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/boomaga)
 add_definitions(-DNONGUI_DIR=\"${NONGUI_DIR}\")
 
 ###########################################################
@@ -103,31 +98,28 @@
 setByDefault(DBUS_SERVICE_DIR   ${DEF_DBUS_SERVICE_DIR})
 
 
+status_message(" ")
+status_message("You can change the following directories using cmake options like:")
+status_message("-DCUPS_PPD_DIR=your_path")
+status_message(" ")
+status_message("  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
+status_message("  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
+status_message("  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
+status_message("  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
+status_message("  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
+status_message(" ")
+status_message(" You can change the following options using cmake options:")
+status_message("  INSTANCE_NAME        =  ${INSTANCE_NAME}")
+status_message("  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
+status_message("  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
+status_message("  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
+status_message("  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
+status_message("  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")
+status_message(" ")
+
 add_subdirectory(cups)
 add_subdirectory(gui)
 install(FILES boomaga.1.gz  DESTINATION share/man/man1)
-
-message(STATUS "*****************************************************")
-message(STATUS "* boomaga ver. ${FULL_VERSION}")
-message(STATUS "*")
-message(STATUS "* You can change the following directories using cmake options like:")
-message(STATUS "*   -DCUPS_PPD_DIR=your_path")
-message(STATUS "*")
-message(STATUS "*  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
-message(STATUS "*  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
-message(STATUS "*  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
-message(STATUS "*  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
-message(STATUS "*  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
-message(STATUS "*")
-message(STATUS "* You can change the following options using cmake options:")
-message(STATUS "*  INSTANCE_NAME        =  ${INSTANCE_NAME}")
-message(STATUS "*  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
-message(STATUS "*  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
-message(STATUS "*  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
-message(STATUS "*  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
-message(STATUS "*  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")
-
-message(STATUS "*****************************************************")
 
 ########## Add make dist target ################
 SET(CPACK_PACKAGE_VERSION "${FULL_VERSION}")
@@ -143,3 +135,5 @@
 INCLUDE(CPack)
 # simulate autotools' "make dist"
 add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+show_status()

=== cups/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2016 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER

cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomagabackend)

set(HEADERS
    common.h
    inputfile.h
    systemd.h
    consolekit.h
    envinfo.h
)

set(SOURCES
    main.cpp
    common.cpp
    inputfile.cpp
    systemd.cpp
    consolekit.cpp
    envinfo.cpp
)

set(LIBRARIES
)


if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions (-Wall -pedantic)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(Qt5 REQUIRED
    Core
    DBus
)

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
target_link_libraries(${PROJECT_NAME} ${LIBRARIES} Qt5::Core Qt5::DBus)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/boomagabackend
  DESTINATION ${NONGUI_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ             GROUP_EXECUTE
    WORLD_READ             WORLD_EXECUTE
)

add_subdirectory(backend)

=== gui/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomagaGui)

set(HEADERS
    kernel/sheet.h
    kernel/inputfile.h
    kernel/job.h
    kernel/tmppdffile.h
    kernel/layout.h
    render.h
    kernel/project.h
    kernel/projectpage.h
    kernel/printer.h
    kernel/cupsprinteroptions.h
    boomagatypes.h
    mainwindow.h
    actions.h
    settings.h
    dbus.h
    icon.h
    printersettings/printersettings.h
    aboutdialog/aboutdialog.h
    translations/translatorsinfo/translatorsinfo.h
    export/exporttopdf.h
    kernel/projectfile.h
    pdfmerger/pdfmergeripc.h
    configdialog/configdialog.h
    printdialog/printdialog.h
    widgets/pagelistview.h
    widgets/joblistview.h
    widgets/layoutradiobutton.h
    widgets/printerscombobox.h
    widgets/previewwidget.h
    widgets/subbookletview.h
    pdfparser/pdferrors.h
    pdfparser/pdfxref.h
    pdfparser/pdfvalue.h
    pdfparser/pdfreader.h
    pdfparser/pdfobject.h
)

set(SOURCES
    main.cpp
    kernel/sheet.cpp
    kernel/inputfile.cpp
    kernel/job.cpp
    kernel/tmppdffile.cpp
    kernel/layout.cpp
    render.cpp
    kernel/project.cpp
    kernel/projectpage.cpp
    kernel/cupsprinteroptions.cpp
    kernel/printer.cpp
    boomagatypes.cpp
    mainwindow.cpp
    actions.cpp
    settings.cpp
    dbus.cpp
    icon.cpp
    printersettings/printersettings.cpp
    aboutdialog/aboutdialog.cpp
    translations/translatorsinfo/translatorsinfo.cpp
    export/exporttopdf.cpp
    kernel/projectfile.cpp
    pdfmerger/pdfmergeripc.cpp
    configdialog/configdialog.cpp
    printdialog/printdialog.cpp
    widgets/pagelistview.cpp
    widgets/joblistview.cpp
    widgets/layoutradiobutton.cpp
    widgets/printerscombobox.cpp
    widgets/previewwidget.cpp
    widgets/subbookletview.cpp
    pdfparser/pdfxref.cpp
    pdfparser/pdfvalue.cpp
    pdfparser/pdfreader.cpp
    pdfparser/pdfobject.cpp
)


set(LIBRARIES
)

set(QT_USE_QTDBUS 1)

set(UI_FILES
    mainwindow.ui
    printersettings/printersettings.ui
    aboutdialog/aboutdialog.ui
    export/exporttopdf.ui
    configdialog/configdialog.ui
    printdialog/printdialog.ui
)

# QRC files .................
set(RESOURCES
    resource.qrc
)

# add translations ...
file (GLOB TS_FILES
    translations/boomaga*.ts
)

set(TRANSLATIONS_DIR
    "${GUI_SHARE_DIR}/translations"
)
add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")


#*******************************************

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5 REQUIRED
    Core
    Widgets
    PrintSupport
    DBus
    LinguistTools
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
find_package(Cups REQUIRED QUIET)
include_directories(${CUPS_INCLUDE_DIR})
set(LIBRARIES ${LIBRARIES} ${CUPS_LIBRARIES})

find_package(Poppler REQUIRED QUIET)
include_directories(${POPPLERCPP_INCLUDE_DIRS})
set(LIBRARIES ${LIBRARIES} ${POPPLERCPP_LIBRARIES})

find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIRS})
set(LIBRARIES ${LIBRARIES} ${ZLIB_LIBRARIES})

include(translations/translatorsinfo/CMakeLists.txt)
get_translatorsinfo_qrc(translatorsinfo_qrc)
qt5_add_resources(TRANSLATORS_INFO_QRC ${translatorsinfo_qrc})

qt5_add_resources(  QRC_SOURCES ${RESOURCES})
qt5_add_translation(QM_FILES    ${TS_FILES})


add_executable(${INSTANCE_NAME} ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
target_link_libraries(${INSTANCE_NAME} ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)


install(TARGETS ${INSTANCE_NAME} RUNTIME DESTINATION ${GUI_DIR})
install(FILES ${QM_FILES} DESTINATION ${TRANSLATIONS_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
               ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
               @ONLY)

include(cmake/CreateDesktopFile.cmake)
CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})

install(FILES   images/boomaga_16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
install(FILES   images/boomaga_128.png  DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")

add_subdirectory(pdfmerger)

add_tests("tests")

=== cups/backend/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2016 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(cupsbackend)

set(HEADERS
)

set(SOURCES
    main.cpp
)


if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions (-Wall -pedantic)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME ${INSTANCE_NAME})


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomaga.ppd
               ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}.ppd
               @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}
  DESTINATION ${CUPS_BACKEND_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
)


install(FILES ${INSTANCE_NAME}.ppd
  DESTINATION ${CUPS_PPD_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE
    GROUP_READ
    WORLD_READ
)

=== gui/tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,20 +24,33 @@
  # END_COMMON_COPYRIGHT_HEADER
  
  
- project(boomaga_test)
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required(VERSION 3.0.0)
+cmake_policy(SET CMP0028 NEW)
+
+project(boomaga_test)
 
 
 set(TEST_HEADERS
     testboomaga.h
+    tools.h
+    ../pdfparser/pdferrors.h
+    ../pdfparser/pdfreader.h
+    ../pdfparser/pdfvalue.h
+    ../pdfparser/pdfobject.h
+    ../pdfparser/pdfwriter.h
+    ../pdfparser/pdfxref.h
 )
 
 set(TEST_SOURCES
     testboomaga.cpp
-)
-
-set(TEST_MOCS
-    testboomaga.h
+    testpdfparser.cpp
+    testpdfreader.cpp
+    testpdfwriter.cpp
+    ../pdfparser/pdfreader.cpp
+    ../pdfparser/pdfvalue.cpp
+    ../pdfparser/pdfobject.cpp
+    ../pdfparser/pdfwriter.cpp
+    ../pdfparser/pdfxref.cpp
 )
 
 
@@ -51,10 +64,8 @@
 endmacro()
 
 
-
 ADD_FROM_PROJECT(TEST_HEADERS ${HEADERS})
 ADD_FROM_PROJECT(TEST_SOURCES ${SOURCES})
-ADD_FROM_PROJECT(TEST_MOCS    ${MOCS})
 
 
 add_definitions(-DTEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\")
@@ -69,22 +80,15 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-if(USE_QT4)
-    set(QT_USE_QTTEST true)
-    find_package(Qt4 REQUIRED QUIET)
-    include(${QT_USE_FILE})
-    qt4_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
-else()
-    cmake_minimum_required(VERSION 2.8.3)
-
-    find_package(Qt5Test REQUIRED)
-    include_directories(${Qt5Test_INCLUDE_DIRS})
-    add_definitions(${Qt5Test_DEFINITIONS})
-    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5Test_LIBRARIES})
-
-    qt5_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
-endif()
+find_package(Qt5 REQUIRED
+    Core
+    Test
+    Widgets
+    PrintSupport
+    DBus
+    LinguistTools
+)
 
 
-add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES} ${TEST_MOC_SOURCES} )
-target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${LIBRARIES})
+add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES})
+target_link_libraries(${PROJECT_NAME} ${LIBRARIES} Qt5::Core Qt5::Test Qt5::Widgets Qt5::PrintSupport Qt5::DBus)

=== debian/changelog ===
boomaga (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Do not require libpoppler-private-dev anymore (Closes: #883518).
  * Add Vcs-Git and Vcs-Browser tags.
  * Bump Standards-Version to 4.1.1. No changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 05 Dec 2017 15:37:44 -0300

boomaga (0.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Sep 2017 12:09:47 -0300

boomaga (0.9.1-1) experimental; urgency=medium

  * Upload to experimental to not interfere with the ongoing popple
    transition.
  * New upstream release.
  * Bump debian/compat to 10.
    - Remove --parallel while building, it's the default now.
    - Remove debian/boomaga.install as we now only ship one binary package.
    - Bump debhelper dependency to >= 10.2~.
  * Migrate debugging symbols to dbgsym.
    - Pass the dh_strip option directly to it.
  * Bump Standards-Version to 4.0.1, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Aug 2017 14:26:40 -0300

=== debian/control ===
Source: boomaga
Section: utils
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 10.2~),
               dpkg-dev (>= 1.16.0~),
               libcups2-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libsnappy-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: https://github.com/Boomaga/boomaga
Vcs-Git: https://gitlab.com/perezmeyer/debian-package-boomaga.git
Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-boomaga

Package: boomaga
Architecture: any
Depends: cups, ${misc:Depends}, ${shlibs:Depends}
Description: virtual printer for viewing a document before printing
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 .
 The program is very simple to work with. Running any program, click "print"
 and select "Boomaga" to see in several seconds (CUPS takes some time to
 respond) the Boomaga window open.
 .
 If you print out one more document, it gets added to the previous one, and you
 can also print them out as one.
 .
 Regardless of whether your printer supports duplex printing or not, you would
 be able to easily print on both sides of the sheet.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --dbg-package=boomaga-dbg
+	dh $@
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='boomaga-dbg (<< 0.9.1-1~)'
 
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/boomaga-$1\.tar\.gz/ \
  https://github.com/Boomaga/boomaga/tags .*/v?(\d\S*)\.tar\.gz
